package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品评论表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_mg_label")
public class ShopMgLabel extends BaseEntity {
    /**
     * 商品评论表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 父级ID、0为一级评论
     */
    @TableField(value = "review_id")
    private Long reviewId;

    /**
     * 图片地址
     */
    @TableField(value = "img_url")
    private String imgUrl;


}