package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 规格值表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_spec_value")
public class ShopSpecValue extends BaseEntity {
    /**
     * 规格值表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 规格ID
     */
    @TableField(value = "spec_id")
    private Long specId;

    /**
     * 规格值
     */
    @TableField(value = "spec_value")
    private String specValue;

    /**
     * 权重
     */
    @TableField(value = "sort_order")
    private String sortOrder;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private String productId;

}